﻿using System;
using System.Collections.Generic;

using WebApiStudy.Model;

namespace WebApiStudy.IBll
{
    public interface IUserBll
    {
        List<User> GetAllUser();

        User GetUser(int userId);

        (bool result, User user) InsertUser(User user);

        (bool result, User user) UpdateUser(User user);

        bool DeleteUser(int userId);

        decimal TotalIncome(int userId);

        decimal TotalCost(int userId);
    }
}
