﻿using System;
using System.Collections.Generic;
using System.Text;

using Xunit;

using WebApiStudy.Model;
using WebApiStudy.Dal;
using WebApiStudy.IDal;
using WebApiStudy.Bll;
using WebApiStudy.IBll;

using WebApiStudy.WebApp;
using WebApiStudy.WebApp.Controllers;

namespace WebApiStudy.WebAppTest
{
    public class UserControllerTest : IDisposable
    {
        IUserBll userBll;

        public UserControllerTest()
        {
            userBll = new UserBll(new UserDal());
        }


        [Fact]
        public void GetAllUsers()
        {
            UserController controller = new UserController(userBll);

            List<User> users = controller.GetUsers();

            Assert.NotNull(users);
            Assert.Equal(5, users.Count);
        }

        public void Dispose()
        {

        }
    }
}
